Package org.pgpainless.key.util

# Class KeyIdUtil

java.lang.Object
org.pgpainless.key.util.KeyIdUtil

public final class KeyIdUtil extends Object

## Method Summary

Modifier and Type
Method
Description
`static String`
`formatKeyId(long keyId)`
`static long`
`fromLongKeyId(String longKeyId)`
Convert a long key-id into a key-id.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### fromLongKeyId

public static long fromLongKeyId(String longKeyId)
Convert a long key-id into a key-id. A long key-id is a 16 digit hex string.

Parameters:
  `longKeyId` - 16-digit hexadecimal string
Returns:
  key-id converted to `Long`.

### formatKeyId

public static String formatKeyId(long keyId)